package com.yifu.cloud.plus.v1.yifu.insurances.constants;

/**
 * @author licancan
 * @description 商险常量
 * @date 2022-07-18 17:52:59
 */
public class InsurancesConstants {

	/**
	 * 新增投保成功
	 */
	public static final String ADD_SUCCESS = "新增投保成功";
	/**
	 * 投保信息已存在
	 */
	public static final String DATA_IS_EXIST = "投保信息已存在";
	/**
	 * 订单编号不能为空
	 */
	public static final String ORDER_NO_NOT_EMPTY = "订单编号不能为空";
	/**
	 * 员工姓名不能为空
	 */
	public static final String EMP_NAME_NOT_EMPTY = "员工姓名不能为空";
	/**
	 * 员工身份证号不能为空
	 */
	public static final String EMP_IDCARD_NO_NOT_EMPTY = "员工身份证号不能为空";
	/**
	 * 员工身份证号格式有误
	 */
	public static final String EMP_IDCARD_NO_NOT_LEGITIMATE = "员工身份证号格式有误";
	/**
	 * 项目编码不能为空
	 */
	public static final String DEPT_NO_NOT_EMPTY = "项目编码不能为空";
	/**
	 * 保险公司名称不能为空
	 */
	public static final String INSURANCE_COMPANY_NAME_NOT_EMPTY = "保险公司名称不能为空";
	/**
	 * 保险公司不存在
	 */
	public static final String INSURANCE_COMPANY_NAME_NOT_EXIST = "保险公司不存在";
	/**
	 * 险种名称不能为空
	 */
	public static final String INSURANCE_TYPE_NAME_NOT_EMPTY = "险种名称不能为空";
	/**
	 * 险种不存在
	 */
	public static final String INSURANCE_TYPE_NAME_NOT_EXIST = "险种不存在";
	/**
	 * 保单开始时间不能为空
	 */
	public static final String POLICY_START_NOT_EMPTY = "保单开始时间不能为空";
	/**
	 * 保单开始时间格式错误
	 */
	public static final String POLICY_START_PARSE_ERROR = "保单开始时间格式错误";
	/**
	 * 保单开始时间不能小于派单时间
	 */
	public static final String POLICY_START_SHOULD_IS_FUTURE = "保单开始时间不能小于派单时间";
	/**
	 * 保单结束时间不能为空
	 */
	public static final String POLICY_END_NOT_EMPTY = "保单结束时间不能为空";
	/**
	 * 保单结束时间格式错误
	 */
	public static final String POLICY_END_PARSE_ERROR = "保单结束时间格式错误";
	/**
	 * 购买标准不能为空
	 */
	public static final String BUY_STANDARD_NOT_EMPTY = "购买标准不能为空";
	/**
	 * 购买标准不存在
	 */
	public static final String BUY_STANDARD_NOT_EXIST = "购买标准不存在";
	/**
	 * 商险购买地省名称不能为空
	 */
	public static final String INSURANCE_PROVINCE_NAME_NOT_EMPTY = "商险购买地省名称不能为空";
	/**
	 * 商险购买地市名称
	 */
	public static final String INSURANCE_CITY_NAME_NOT_EMPTY = "商险购买地市名称不能为空";
	/**
	 * 商险办理省名称不能为空
	 */
	public static final String INSURANCE_HANDLE_PROVINCE_NAME_NOT_EMPTY = "商险办理省名称不能为空";
	/**
	 * 商险办理城市名称不能为空
	 */
	public static final String INSURANCE_HANDLE_CITY_NAME_NOT_EMPTY = "商险办理城市名称不能为空";
	/**
	 * 结算月不能为空
	 */
	public static final String SETTLE_MONTH_NOT_EMPTY = "结算月不能为空";
	/**
	 * 结算月格式错误
	 */
	public static final String SETTLE_MONTH_PARSE_ERROR = "结算月格式错误";
	/**
	 * 结算月不能小于派单月
	 */
	public static final String SETTLE_MONTH_SHOULD_IS_FUTURE = "结算月不能小于派单月";
	/**
	 * 岗位不能为空
	 */
	public static final String POST_NOT_EMPTY = "岗位不能为空";
	/**
	 * 保单号不能为空
	 */
	public static final String POLICY_NO_EMPTY = "保单号不能为空";
	/**
	 * 保单号不存在
	 */
	public static final String POLICY_NO_EXIST= "保单号不存在";

}
